Bug 6279 - Gross kludges in e2fsprogs spec file
Gross kludges in e2fsprogs spec file
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
6.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-22 22:59 EDT by Theodore Tso
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-25 12:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Theodore Tso 1999-10-22 22:59:41 EDT
When trying to fix bug #673, the Red Hat packager put the
fix into the spec file by post-processing the installed
file, isntead of putting in a proper patch.  There were two
bugs in #673.  One was fixed long ago, but in a different
way, so the post-processing did something ugly but
fortunately didn't break things.  The other one, by patching
the man page, meant that I didn't notice the problem until I
was assembling the e2fsprogs 1.16 release and noticed that
you had put some really ugly things in the .spec file.

The man page documentation bug will be fixed in 1.16, but I
figured I should file a bug report so that someone remembers
to fix the spec file and remove the gross perl kludges that
someone put in to fix a bug during e2fsprogs-1.13-2(!)

Grumble.  The RPM spec format has a patch feature; it's
there for a reason.  You guys should use it.  :-)
Comment 1 Bill Nottingham 1999-10-25 12:39:59 EDT
fixed in e2fsprogs-1.16-1, will be in the next Raw Hide release.

Note You need to log in before you can comment on or make changes to this bug.